"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const package_manager_1 = require("../../utils/package-manager");
const path = require("path");
const npm_run_path_1 = require("npm-run-path");
const native_1 = require("../../native");
async function default_1(options, context) {
    const pm = (0, package_manager_1.getPackageManagerCommand)();
    try {
        await new Promise((res, rej) => {
            const cp = (0, native_1.runCommand)(pm.run(options.script, options.__unparsed__.join(' ')), path.join(context.root, context.projectsConfigurations.projects[context.projectName].root), {
                ...process.env,
                ...(0, npm_run_path_1.env)(),
            });
            cp.onExit((code) => {
                if (code === 0) {
                    res();
                }
                else {
                    rej();
                }
            });
        });
        return { success: true };
    }
    catch (e) {
        return { success: false };
    }
}
exports.default = default_1;
